package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcAqg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcTbczMapper;
import com.ruoyi.tcZz.domain.TcTbcz;
import com.ruoyi.tcZz.service.ITcTbczService;

/**
 * 通报处置Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Service
public class TcTbczServiceImpl implements ITcTbczService 
{
    @Autowired
    private TcTbczMapper tcTbczMapper;

    /**
     * 查询通报处置
     * 
     * @param id 通报处置主键
     * @return 通报处置
     */
    @Override
    public TcTbcz selectTcTbczById(Long id)
    {
        return tcTbczMapper.selectTcTbczById(id);
    }

    /**
     * 查询通报处置列表
     * 
     * @param tcTbcz 通报处置
     * @return 通报处置
     */
    @Override
    public List<TcTbcz> selectTcTbczList(TcTbcz tcTbcz)
    {
        return tcTbczMapper.selectTcTbczList(tcTbcz);
    }

    /**
     * 新增通报处置
     * 
     * @param tcTbcz 通报处置
     * @return 结果
     */
    @Override
    public int insertTcTbcz(TcTbcz tcTbcz)
    {
        tcTbcz.setCreateTime(DateUtils.getNowDate());
        return tcTbczMapper.insertTcTbcz(tcTbcz);
    }

    /**
     * 修改通报处置
     * 
     * @param tcTbcz 通报处置
     * @return 结果
     */
    @Override
    public int updateTcTbcz(TcTbcz tcTbcz)
    {
        tcTbcz.setUpdateTime(DateUtils.getNowDate());
        return tcTbczMapper.updateTcTbcz(tcTbcz);
    }

    /**
     * 批量删除通报处置
     * 
     * @param ids 需要删除的通报处置主键
     * @return 结果
     */
    @Override
    public int deleteTcTbczByIds(Long[] ids)
    {
        return tcTbczMapper.deleteTcTbczByIds(ids);
    }

    /**
     * 删除通报处置信息
     * 
     * @param id 通报处置主键
     * @return 结果
     */
    @Override
    public int deleteTcTbczById(Long id)
    {
        return tcTbczMapper.deleteTcTbczById(id);
    }

    @Override
    public String importUser(List<TcTbcz> tcTbczList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcTbczList.isEmpty()) {
            for (TcTbcz tcTbcz : tcTbczList) {
                tcTbczMapper.insertTcTbcz(tcTbcz);
            }
            successMsg.append("导入成功");
        }
        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcTbczMapper.updateByisStatus(isStatus,ids);
    }
}
